# Uses of Class
waffle.servlet.WindowsPrincipal

Packages that use WindowsPrincipal
Package
Description
waffle.servlet
Waffle JNA Servlet Package.

## Uses of WindowsPrincipal in waffle.servlet

Subclasses of WindowsPrincipal in waffle.servlet
Modifier and Type
Class
Description
`class`
`AutoDisposableWindowsPrincipal`
The Class AutoDisposableWindowsPrincipal.
Constructors in waffle.servlet with parameters of type WindowsPrincipal
Modifier
Constructor
Description
``
`NegotiateRequestWrapper(javax.servlet.http.HttpServletRequest newRequest, WindowsPrincipal newPrincipal)`
Instantiates a new negotiate request wrapper.